Bug 73277 - Cell's indent in RTL
Summary: Cell's indent in RTL
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1.4.2 release
Hardware: All All
: high major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-04 12:00 UTC by Muhammad Bashir Al-Noimi
Modified: 2015-04-01 14:51 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Indent bug in RTL sheets (874.26 KB, video/mp4)
2014-01-28 20:01 UTC, Muhammad Bashir Al-Noimi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Muhammad Bashir Al-Noimi 2014-01-04 12:00:13 UTC

    
Comment 1 Muhammad Bashir Al-Noimi 2014-01-04 12:06:05 UTC
Calc doesn't support cell's indent for right alignment cells while it supports indent for left alignment cells.

Right indent is very important feature for RightToLeft layout languages.
Comment 2 m.a.riosv 2014-01-04 19:49:49 UTC
Hi Muhammed, thanks for reporting.

Confirmed.
Win7x64Ultimate.
Version: 4.2.0.1.0+ Build ID: 241eef7ca9b863ceb1f7f457a4bb2931b5d37f17
         TinderBox: Win-x86@42, Branch:libreoffice-4-2, Time: 2013-12-28_23:19:40

Applying indent in a cell with RTL works as it was LTR.
Comment 3 Ady 2014-01-08 03:55:05 UTC
IMHO, there is no bug here.

Indentation is related to a line or a paragraph, not to a language nor to the text *direction*.

Whether I set LTR or RTL text *direction*, I can independently set the *alignment* of the text.

1_ Select a cell with text.
2_ Set the cell to RTL *direction* (this in fact should be optional).
3_ Set the cell's *alignment* to right-aligned.
4_ Add indentation.

The text in the cell should move to the left (still inside the same cell), leaving space (indentation) on its right (starting from the right-side border of the cell).

Now, perhaps there are some other issues regarding alignment and indentation, but IMHO that would be a different issue / bug report.

@mariosv,
I would change the status to NOTABUG, but I could also be wrong. Since you initially 'confirmed' the report, I am leaving the status unchanged.
Comment 4 abdulmajeed 2014-01-28 12:32:47 UTC
i'm sorry could you explain more 

because i tried and it is working both increase and decrease indent for RTL text.
Comment 5 Muhammad Bashir Al-Noimi 2014-01-28 20:01:51 UTC
Created attachment 92940 [details]
Indent bug in RTL sheets

The screencast (mp4 file) shows the bug clearly, Maybe I wasn't clear so much :(
Comment 6 Ady 2014-01-28 22:28:01 UTC
You seem to have some problem (only) in cell A3; some kind of “special” text alignment (e.g. vertical text orientation) or some additional format.

For the rest of your cells, the text *direction* has no influence, nor the language.

This is clearly seen in your mp4 attachment #92940 [details] in comment #5  . Only the text *alignment* setting (to right-aligned) interacts with the indentation from right to left.

I have tested (again). I don't see a bug here.
Comment 7 Muhammad Bashir Al-Noimi 2014-01-28 22:45:22 UTC
Thank you Ady, may you please see the screencast once again. The bug occurs for A3 and for all RTL cells without Right alignment.

The indent works correctly *only* and just only in case the user set the alignment of RTL cell to the Right other than that it works wrong (ex. A12 is RTL cell with Justified alignment)
Comment 8 Ady 2014-01-29 20:49:34 UTC
@Muhammad Bashir Al-Noimi,

Could you please perform the following test?

1_ Start a new "clean" Calc workbook.
2_ Type-in several cells with some text. Insert the text without any prior cell formatting. To ease the testing procedure, I would suggest using cells in one column only.
3_ Select the cells with text.
4_ Click on the "RTL" icon.
5_ Click on the "right-alignment text" icon.

At this point, all selected cells should contain their respective text with "Right-to-left" *direction*, and the text should be *aligned* to the right-side border of the respective cell.

6_ With the cells still selected, click on the "increase indent" icon. Note that the icon itself shows the "arrow" (or triangle) pointing from left-to-right, but the effect is not to "add indentation from the left to the right side". The expected behavior of this icon is "increase indentation".

Note that the language of the text is not relevant. For right-aligned cells that are also set to RTL, the "increase indentation" icon moves the text to the left and adds space (indent) to its right, in relation to the border of the cell.

Can you please try to replicate this behavior?

TIA,
Ady.
Comment 9 Ady 2014-01-30 15:05:19 UTC
Since version 4.2.0 is being released, it might be important to note that there are some changes related to RTL features.

The testing procedure I posted in comment #8 is intended for version 4.1.4.2. Since the RTL *text direction* icon might already set "right-alignment" for other versions, the testing procedure might need a slight modification, as follows.

1_ Start a new "clean" Calc workbook.
2_ Type-in several cells with some text. Insert the text, without any prior cell formatting. To ease the testing procedure, I would suggest using cells in one column only.
3_ Select the cells with text.
4_ Click on the "RTL" icon.
5_ If the cells are not yet set to "right-align" (see whether the "right-align" icon is "pressed"), then click on the "right-alignment text" icon.
6_ With the cells still selected, click on the "increase indent" icon. Note that the icon itself shows the "arrow" (or triangle) pointing from left-to-right, but the effect is not to "add indentation from the left to the right side". The expected behavior of this icon is "increase indentation".

Regards,
Ady.
Comment 10 QA Administrators 2015-02-19 04:34:58 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team

Message generated on: 2015-02-18
Comment 11 QA Administrators 2015-04-01 14:51:47 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

-- The LibreOffice QA Team This NEEDINFO Message was generated on: 2015-04-01

Warm Regards,
QA Team